/// <reference types="node" />
import { EventEmitter } from 'events';
import type { Wallet } from './types';
export declare class LiFiWalletManagement extends EventEmitter {
    connectedWallets: Wallet[];
    connect: (wallet: Wallet) => Promise<void>;
    autoConnect(wallets: Wallet[]): Promise<void>;
    disconnect: (wallet: Wallet) => Promise<void>;
    private handleAccountDataChange;
}
